Skip to content
Permalink
Browse files

boards/x86: scripts: build_grub.sh to use grub-2.04-rc1-17-g8e8723a6b

Newer versions of GCC (e.g. gcc 9.1.1) fail to compile the version of
Grub that is used by the Zephyr build_grub.sh script. This patch updates
the version of Grub to the latest (as of June 4 2019) which includes a
number of fixes that solve the problem.

Fixes: #16624
Signed-off-by: Geoffroy Van Cutsem <geoffroy.vancutsem@intel.com>
  • Loading branch information...
gvancuts authored and nashif committed Jun 4, 2019
1 parent 543de09 commit 57728ffb276e1c3c6fe0090f7f387a997c605c64
Showing with 1 addition and 1 deletion.
  1. +1 −1 boards/x86/common/scripts/build_grub.sh
@@ -22,7 +22,7 @@ prepare() {
fi

pushd src
git checkout grub-2.02-285-g5bc41db75
git checkout grub-2.04-rc1-17-g8e8723a6b
git clean -fdx
popd
}

0 comments on commit 57728ff

Please sign in to comment.
You can’t perform that action at this time.